Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.mru
Class MRUList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  com.sshtools.common.mru.MRUList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class MRUList
extends java.util.Vector

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary
`class` | `MRUList.ElementWrapper`

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MRUList()` Creates a new MRUList object.
`MRUList(java.io.InputStream in)` Creates a new MRUList object.

Method Summary
`void` | `reload(java.io.InputStream in)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### MRUList

    public MRUList()

  Creates a new MRUList object.

### MRUList

    public MRUList(java.io.InputStream in)
            throws org.xml.sax.SAXException,
                   javax.xml.parsers.ParserConfigurationException,
                   java.io.IOException

  Creates a new MRUList object.

Parameters:
  `in` - DOCUMENT ME!
Throws:
  `org.xml.sax.SAXException` - DOCUMENT ME!
  `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### reload

    public void reload(java.io.InputStream in)
                throws org.xml.sax.SAXException,
                       javax.xml.parsers.ParserConfigurationException,
                       java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!
    `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD